#include "yuid.h"

#include <util/string/builder.h>

namespace NSrvKernel {
    TString GetYuid(ui64 rnd, TInstant start) noexcept {
        return TStringBuilder() << (rnd % 900'000'000 + 100'000'000) << start.Seconds();
    }
}
